cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Javier Puerto <jpue...@gmail.com>
Subject Forced Xalan dependency using latest cocoon-maven-plugin
Date Thu, 27 Jun 2013 11:34:38 GMT
Hi all,

We started a Cocoon 3 project with some blocks and we need to use Saxon for
XSLT 2.0 features.
The problem is with the RCL, we used latest cocoon-maven-plugin (1.0.2) but
I've noticed that Xalan dependency is always used so my XSLT are not
working. I've change the version to  1.0.0 then it's working OK.

Why is using Xalan if I didn't declare the dependency? Is there a way to
configure this behaviour?

Salu2.

PD: I've tested 1.0.3-SNAPSHOT and it's the same problem, not tested 1.0.1.
PD2: I've realized that it's not necessary to add the TransformerFactory
services file because it's included in Saxon library.

Mime
View raw message